---
title: "勘误表 - 排版失误"
issue: 36
---

> #### 前言
>
> 这本书图文并茂、全彩印刷，对排版工作也提出了极大的挑战。
>
> 本页面仅记录排版方面的失误或值得改进的地方。

> #### 图标含义
>
> * ✅ - 已在后续印次中修正。
> * ▶️ - 已被出版社确认，即将在后续印次中修正。
> * ⏸ - 已确认，但可能不会修正。
> * 🕒 - 有待出版社确认。


### ✅ 第 xvii 页 · 第二个网址

最后一个字符 `3` 应与其它字符的颜色一致。

<sup>（贡献者： 图灵社区 [Aline](http://www.ituring.com.cn/users/197574)）</sup>

### ⏸ 第 28 页 · 本页中大多数代码块

代码在浅粉色的代码块内没有垂直居中。

<sup>（贡献者： @hdming）</sup>

### ✅ 第 32 页 · 第二个代码块

这个代码块缺失了浅粉色背景。

<sup>（贡献者： @hdming）</sup>

### ⏸ 第 33 页 · 第一个代码块

代码在浅粉色的代码块内没有垂直居中。

<sup>（贡献者： @hdming）</sup>


### ▶️ 第 84 页 · 倒数第三个代码块 ‧ 第 2 行

> ```css
>     width: 100px; height: 100px;
> ```

`height` 应设置为高亮色。

<sup>（贡献者： @zhuxinghan）</sup>


### ✅ 第 115 页 · 第一个代码块 · 第 6 行

> ```html
> <dd>lea@verou.me</dd>
> ```

本行中的 `<dd>` 应设置为高亮色（绿色）。

<sup>（贡献者： @hdming）</sup>


### ▶️ 第 125 页 · 第一个代码块

> ```html
> HTML <span class="amp">&amp;</span> CSS
> ```

`<span class="amp">` 末尾的 `>` 应为绿色。

<sup>（贡献者： @hdming）</sup>


### ✅ 第 186 页 · 第二个代码块 · 第 4 行

> ```css
>     left: 50%;
> ```

本行中的 `left` 应设置为高亮色（玫红色），并加粗。

<sup>（贡献者： @hdming）</sup>

### ✅ 第 187 页 · 第二个代码块 · 第 5 行

> ```css
>     transform: translate(-50%, -50%);
> ```

本行中的 `transform` 应设置为高亮色（玫红色），并加粗。

<sup>（贡献者： @hdming）</sup>

### ⏸ 第 230 页 · 最后一个目录项

> 35 交互式的图片对比控件

数字 `35` 的花瓣形背景图形偏上，导致数字底部显示不完整。

<sup>（贡献者： @hdming）</sup>
