---
title: "勘误表"
issue: 2
---

> #### 如何提交勘误？ <a name="how-to">&nbsp;</a>
> 
> 如果你在阅读本书的过程中发现任何错误（包括编辑、排版、翻译、技术等方面的错误），[请新开一个 issue](https://github.com/cssmagic/CSS-Secrets/issues/new) 来描述这个错误，并请在标题中注明 “提交勘误”。当编辑或译者确认为错误后，将会收录到本页面中。
> 
> 感谢你的严谨让这本书变得圆满，其他读者必将从中受益！


## 中文版勘误 <a name="zh">&nbsp;</a>

> #### 图标含义
>
> * ✅ - 已在后续印次中修正。
> * ⚠️ - 尝试在后续印次中修正，但仍有错误。
> * ▶️ - 已被出版社确认，即将在后续印次中修正。
> * 🕒 - 有待出版社确认。
> 
> #### 标记含义
> 
> * <u>下划线</u> - 仅用于标注需要修改的部分，以便对照，并非排版格式。（但遗憾的是，GitHub 并不支持下划线样式的显示。我们需要使用其它 Markdown 编辑器打开[本文的源码](https://raw.githubusercontent.com/cssmagic/CSS-Secrets/master/doc/corrigenda.md)，才能看到效果。）


### ⚠️ 第 xxiv 页 · 本页的两个代码块

本页有两个代码块，均包含以下这行代码：

> ```stylus
> background: linear-gradient(90deg, yellow, red);
> ```

其中 `90deg` 应为 `0deg`。

<sup>（贡献者：@yifon）</sup>

> ⚠️ **注意**：在某些印次中，所有线性渐变的声明（包括加了浏览器前缀的属性）中的 `90deg` 都被改成了 `0deg`，这是错误的。只有无前缀的声明需要改，加前缀的声明不需要改。


### ▶️ 第 14 页 · 第二段

> ……它们为 CSS 的编写<u>提供提供</u>了一些便利……

“提供提供” 应为 “提供”。

<sup>（贡献者： 图灵社区 [Skyline555](http://www.ituring.com.cn/users/228349)）</sup>


### ✅ 第 30 页 · 第二段

> 对于一个 45° 的直角三角形来说，它的两条直角边是等长的，因此这个算式会变成 ![\sqrt{2a} = a\sqrt{2}](http://latex.codecogs.com/gif.latex?%5csqrt{2a}%20%3d%20a%5csqrt{2})。

句末的算式应为 ![\sqrt{2a^2} = a\sqrt{2}](http://latex.codecogs.com/gif.latex?%5csqrt{2a^2}%20%3d%20a%5csqrt{2})。

<sup>（贡献者：@cssmagic）</sup>


### ✅ 第 44 页 · 第三段

> ……这样的结果<u>显明</u>更有随机的感觉……

“显明” 应为 “明显”。

<sup>（贡献者： 图灵社区 [Taipa](http://www.ituring.com.cn/users/142654)）</sup>


### ▶️ 第 45 页 · 脚注

> 构成相对质数的这些数字<u>**没有公约数**</u>

“**没有公约数**” 应为 “**没有公约数**（除了 1 以外）”。

<sup>（贡献者：微信网友 “剑猫情缘”）</sup>

### ▶️ 第 45 页 · “相对质数” 一词

* 第一段：

	> 为了让最小公倍数最大化，这些数字最好是 <u>“相对质数”</u>

	应改为 “……这些数字最好是 <u>‘互质’ 的</u>”
	
	> 举例来说，3、4 和 5 是<u>相对质数</u>
	
	应改为 “……3、4 和 5 是<u>互质的</u>”
	
	> 要达成<u>相对质数</u>，……
	
	应改为 “要达成<u>互质关系</u>，……”

	> 因为**质数跟其他任意数字都是<u>相对质数</u>**。

	应改为 “因为**质数跟其他任意数字都是<u>互质的</u>**”

* 脚注

	> <u>*相对质数*</u>是一种**数字之间的关系**
	
	应改为 “<u>*互质*</u>是一种**数字之间的关系**”
	
	> 构成<u>相对质数</u>的这些数字……
	
	应改为 “构成<u>互质关系</u>的这些数字……”

	> 比如说，10 和 27 是<u>相对质数</u>……
	
	应改为 “比如说，10 和 27 是<u>互质的</u>……”
	
	> **……一个质数跟其他所有数字都可以构成<u>相对质数</u>。**
	
	应改为 “**……一个质数跟其他所有数字都可以构成<u>互质关系</u>。**”

<sup>（贡献者：微信网友 “剑猫情缘”）</sup>


### ▶️ 第 45 页 · 关于 “互质” 的表述

在上一条勘误的基础上，需要把关于 “互质” 的表述写得再严格一些：

* 第一段：

	> 质数跟其他任意数字都是互质的
	
	应表述为 “质数跟其他任意<u>（不是自己倍数的）</u>数字都是互质的”。

* 脚注

	> 一个质数跟其他所有数字都可以构成互质关系
	
	应改为 “一个质数跟其他所有<u>（不是自己倍数的）</u>数字都可以构成互质关系”

<sup>（贡献者：微信网友 “PiB”）</sup>



### 🕒 第 48 页 · 第三个代码块

> ```css
> 	background:
> 		linear-gradient(white, white) padding-box,
> 		url(stone-art.jpg) border-box 0 / cover;
> ```

`0` 应为 `0 0`。

<sup>（贡献者：@GalliLiu）</sup>


### 🕒 第 59 页 · 唯一的代码块

> ```css
>     transform: skew(45deg);
> ```

`45deg` 应为 `-45deg`。

<sup>（贡献者：@sanqianwdj）</sup>


### ⚠️ 第 61 页 · 第二段

> 因此，把 `max-width` 的值设置为 ![formula](http://latex.codecogs.com/gif.latex?%5csqrt{2}%20%5ctimes%20100%5c%%20%5capprox%20414.4213562%5c%) 是很合理的……

算式右侧的 “414.421 356 2%” 应为 “141.421 356 2%”。

<sup>（贡献者：@ourfeel）</sup>

> ⚠️ **注意**：在某些印次中，“141.421 356 2%” 被错误地改成了 “141.421 356 2 px”。


### ▶️ 第 65 页 · 倒数第二个代码块

> ```css
> background:
>     linear-gradient(-45deg, transparent 15px, #58a 0)
>         right,
>     linear-gradient(45deg, transparent 15px, #655 0)
>         left;
> ```

此条声明中的 `#58a` 和 `#655` 应互换。

<sup>（贡献者：@ArvinTung）</sup>


### 🕒 第 69 页 · 第一段

> ……只要图案边缘处的颜色是 `#58` 就行……

`#58` 应为 `#58a`。

<sup>（贡献者：@zhuxinghan）</sup>


### ▶️ 第 70 页 · 第二段

> ……但有着它<u>自已</u>独有的局限……

“自已” 应为 “自己”。

<sup>（这是译者 @cssmagic 在提交译稿时出现的笔误，向大家致歉！）</sup>


### ▶️ 第 70 页 · 第二段

> ……（它会以元素自身的宽高作为<u>基数度</u>进行换算）……

“基数度” 应为 “基数”。

<sup>（贡献者：@zhuxinghan）</sup>


### 🕒 第 87 页 · 第一个列表项

> <u>以</u>该元素<u>相同</u>的尺寸和位置……

考虑到正确的表述结构应为 “与……相同”，这一句存在语病。因此改为：“<u>参照</u>该元素的尺寸和位置……”。

<sup>（贡献者：@zhuxinghan）</sup>


### 🕒 第 90 页 · 正文第一段

> ……因为 `border-radius` 会无耻地忽视透明部分……

`border-radius` 应为 `box-shadow`。

<sup>（这是译者 @cssmagic 在提交译稿时出现的笔误，向大家致歉！）</sup>

<sup>（贡献者：图灵社区 [WooJane](http://www.ituring.com.cn/space/286062)）</sup>


### ▶️ 第 108 页 · 图 4-31

> `cosθ = y/r`
>
> `sinθ = x/r`

图中公式中的 `cos` 应为 `sin`，`sin` 应为 `cos`。

<sup>（贡献者：@peacelee）</sup>


### 🕒 第 111 页 · 唯一的代码块

代码块的右上角应加上 “SCSS” 标记。

<sup>（贡献者：@zhuxinghan）</sup>


### ▶️ 第 114 页 · 第二段

> ……其实不管怎样，这本来就是你早该做好的<u>份内</u>之事。

“份内” 应为 “分内”。

<sup>（贡献者：@zhuxinghan）</sup>


### 🕒 第 120 页 · 倒数第二段

> 有一个办法可以解决这个问题，那就是用 `background-position` <u>把向条纹</u>向底部移动 `.5em`……

“把向条纹” 应为 “把条纹”。

<sup>（贡献者：@zhuxinghan）</sup>


### 🕒 第 129 页 · 顶部的 “背景知识” 区块

> ……`background-sizetext-shadow`……

`background-size` 和 `text-shadow` 之间应加逗分进行分隔。

<sup>（贡献者：@zhuxinghan）</sup>


### ▶️ 第 134 页 · 第一段

> ……因为我们只需要使用 <u>`text-shadows`</u> 属性的扩张参数<u>就可</u>让投影变大，然后看起来就像给文字勾边了一样。

需作如下修正：

* `text-shadows` 应为 `text-shadow`。
* “就可” 最好改为 “就可以”。

<sup>（这是译者 @cssmagic 在提交译稿时出现的笔误，向大家致歉！）</sup>


### 🕒 第 154 页 · 唯一的代码块

需在 `position: fixed;` 之上添加一行：

```css
    content: '';
```

<sup>（贡献者：@OfficialYoungX）</sup>


### ✅ 第 169 页 · 第二个代码块 · 第 5 行

> ```js
> slider.insertBefore(img, div);
> ```

本行应为：

```js
slider.insertBefore(div, img);
```

<sup>（原载于英文原书勘误表，中文版整理者：@keyfoxth）</sup>


### 🕒 第 169 页 ‧ 侧栏的 “小提示” 区块

> <u>用</u> `input:in-range` 来代替简单的 `input` 选择符，<u>是为了</u>**只在浏览器支持范围输入控件时才对它设置样式**。<u>然后，我们就可以</u>利用层叠机制……

应改为：“<u>如果用</u> `input:in-range` 来代替简单的 `input` 选择符，<u>就可以</u>**只在浏览器支持范围输入控件时才对它设置样式**。<u>进而可以</u>利用层叠机制……”

<sup>（这是译者 @cssmagic 的翻译错误，向大家致歉！）</sup>


### 🕒 第 178 页 · 第一个列表项

> ……如果列表中只有少量列表项，我们可以为<u>第一项</u>展示出多行预览文字……

“第一项” 应为 “每一项”。

<sup>（贡献者：@zhuxinghan）</sup>


### ⚠️ 第 184 页 · 第四段

> 如果把 <u>`width`</u> 这一行声明注释掉，你会发现其实没有影响。……只有把 <u>width 显式地设置</u>为 900px 之外（或大或小）的其他值，我们才有可能看出区别。

应为：

“如果把 <u>`max-width`</u> 这一行声明注释掉，你会发现其实没有影响。……只有把<u>容器的 `width` 属性指定</u>为 900px 之外（或大或小）的其他值，我们才有可能看出区别。”

<sup>（原载于英文原书勘误表，中文版整理者：@cssmagic）</sup>

> ⚠️ **注意**：在某些印次中，前半句没有修改。


### ▶️ 第 198 页 · 最后一段

> ……我们希望下落方向上的调速函数是加速的（<u>`ease-out`</u>），而弹起方向上是减速的（<u>`ease-in`</u>）……

`ease-out` 和 `ease-in` 应对调。

<sup>（贡献者： 图灵社区 [406298102](http://www.ituring.com.cn/users/232377)）</sup>


### ▶️ 第 218 页 · 图 8-28 的说明文字

> ……而当用户的鼠标移到图上时，<u>它</u>会缓慢地向左滚动……

改为 “……而当用户的鼠标移到图上时，<u>图片</u>会缓慢地向左滚动……”

<sup>（贡献者： 图灵社区 [Alex.](http://www.ituring.com.cn/users/170355)）</sup>


### 🕒 第 218 页 · 图 8-28 的说明文字

> ……圆形区域显露出的是图片的<u>右半部分</u>……

“右半部分” 应为 “左半部分”。

<sup>（贡献者：@zhuxinghan）</sup>


***

## 英文原书勘误表 <a name="en">&nbsp;</a>

> by O’Reilly Media, Inc.

* [出版社已确认的](http://www.oreilly.com/catalog/errata.csp?isbn=0636920031123)
* [待确认的](http://www.oreilly.com/catalog/errataunconfirmed.csp?isbn=0636920031123)
