---
title: "FAQ / 常见问题"
issue: "#16"
---

## 这本书的中文版是什么情况？ <a name="intro">&nbsp;</a>

#### 详细介绍

* [千呼万唤始出来：《CSS Secrets》简体中文版前瞻报导](http://www.cssmagic.net/blog/wx/15)

#### 出版社

由国内顶尖的计算机图书公司 “图灵文化” 正式引进。

#### 译者

本书的中文版已由 “魔法哥” 翻译完成。

联系方式：

* GitHub： [@cssmagic](https://github.com/cssmagic)
* 微博： [@CSS魔法](http://weibo.com/cssmagic)
* 知乎： [@CSS魔法](http://www.zhihu.com/people/cssmagic)
* 微信公众号：

	![weixin-qrcode](https://cloud.githubusercontent.com/assets/1231359/13040994/04966808-d3ee-11e5-8eb5-7e3bf8767f4e.png)


## 中文版什么时候出版？ <a name="when">&nbsp;</a>

大家都很关注这个问题，为此我制作了一张 [进度表](https://github.com/cssmagic/CSS-Secrets#progress)，所有环节的进展一目了然。大家想起这本书的时候，回来刷刷页面就可以了。

~~这里简单预测一下：在最理想的情况下，纸质书在年内就可以在各大书店上架。当然，电子版会更快，图灵官网最快可能在十一月份逐章发售电子版，可在线阅读。~~

实际进度比预期要慢一些，主要是因为全彩图文的排版与印刷比较花时间。~~目前预计图灵官网的在线电子版会在一月内发售；纸质书将在二月份上架。~~ 目前预计纸质书将在 2016 年 5 月上旬发售。

（迫不及待的同学请阅读本站发布的 [试读样章](https://github.com/cssmagic/CSS-Secrets#%E8%AF%95%E8%AF%BB%E6%A0%B7%E7%AB%A0)，试读量超过全书的 10%。）


## 中文版是彩色印刷吗？ <a name="typeset">&nbsp;</a>

作为一本图文并茂的经典著作，中文版将与英文原版一样，采用**全彩印刷**。同时，中文版的版式也将与英文原版基本保持一致。

出于成本考虑，纸张采用 **80 克胶版纸**（并非英文原版的铜版纸）；开本为大 16 开，比英文原版略大一些。


## 这本书的电子版是什么情况？ <a name="e-book">&nbsp;</a>

* **格式**：除了图灵官网标配的 “在线阅读版电子版” 以外，还将提供 PDF、Mobi 等格式，兼容 Kindle、iBooks 等电子书阅读器。（一次购买，即可获得所有格式电子书的正版授权。）

* **排版**：
	* 图灵官网发售的 PDF 电子版将与中文版纸质书的排版完全一致，全彩。因此，如果你只想阅读电子版，**推荐在电脑或平板上阅读 PDF 格式**。
	* 图灵官网提供的 “在线阅读电子版” 将是普通排版，但插图和代码都是彩色的。
	* Mobi 格式电子版的插图是彩色的，但代码不是彩色的。由于这本书图文并茂、包含大量代码，Mobi 格式无法呈现出理想的排版样式，不推荐。

* **发售时间**：~~排版确定后就可以制作并发售，预计将和纸质书同期上架。~~ 已于 2016 年 4 月中旬上架。

## 关于电子版的更多问题 <a name="e-book-more">&nbsp;</a>

* **购买纸质书之后如何兑换电子版？**

	纸质书的封底有一张 “图灵刮刮卡” 贴纸，刮开后请到 [图灵社区](http://www.ituring.com.cn/users/guaguacode) 兑换 “银子”（银子是图灵社区的虚拟货币，可用于购买电子书）。兑换后会收到一张优惠券，凭此优惠券可以在 [这本书的详情页面](http://www.ituring.com.cn/book/1695) 以 9.99 元的低价购买电子书。

* **如何推送到 Kindle 阅读器或 Kindle App？**

	> **注意**：不推荐阅读 Mobi 格式的电子书。
	
	图灵社区的官方文档：[《如何推送电子书》](http://www.ituring.com.cn/article/50435)
	
	需要注意的是：
	
	* 无法直接推送到你的 Kindle 邮箱，需要通过你的其它邮箱转发。
	* 这本书的体积较大，很可能会被 Gmail 和 Hotmail 邮箱拒收，推荐使用 QQ 邮箱。

* **如何下载 PDF 格式？**

	购买电子版之后，请在 [这本书的详情页面](http://www.ituring.com.cn/book/1695) 点击 “随书下载” 标签页，即可下载。

## 如何下载书中的案例代码？ <a name="code">&nbsp;</a>

原书并没有以打包的方式提供代码下载，只在各章节附上了在线演示（“试一试” 链接）。在这些在线演示页面中，我们可以查看 HTML、CSS、JS 源码。

在线演示页面所在的服务器（dabblet.com）位于境外，可能会遇到网络线路问题。

如果你愿意整理一份按章节组织的在线演示的索引表，请提 PR，谢谢！

***

## 如何购买？ <a name="buy">&nbsp;</a>

你可以到各大网上书店选购，也可以预订译者签名版，详见 [购买方式](https://github.com/cssmagic/CSS-Secrets/issues/27)。
